include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_definitions(
  -DDXF_UI="${SHARE_INSTALL_PREFIX}/ksquirrel-libs/libkls_dxf.so.ui"
  -DCODEC_DXF
  -DCODEC_ANOTHER
  -DVEC2WEB="${DXF_COMMAND}"
)

if( NOT WITH_LCMS )
  add_definitions( -DNO_LCMS )
endif( )


##### codecs

tde_add_library( kls_dxf SHARED AUTOMOC
  SOURCES fmt_codec_pnm.cpp
  LINK ksquirrel-libs-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)


##### other data

install(
  FILES libkls_dxf.so.ui
  DESTINATION ${SHARE_INSTALL_PREFIX}/ksquirrel-libs
)
